Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface ShellDefinitionControl

    public interface ShellDefinitionControl

A custom control interface used to interact with shell definitions.

Method Summary
`void` | `deleteShellDefinition(com.bea.netuix.application.identifier.ShellDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Delete a `ShellDefinition`
`com.bea.netuix.application.definition.ShellDefinition` | `getShellDefinition(com.bea.netuix.application.identifier.ShellDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Getter for returning a single `ShellDefinition` object given a supplied shell definition identifier.
`com.bea.netuix.application.identifier.ShellDefinitionId` | `getShellDefinitionId(String markupName, String webAppName, com.bea.portal.tools.common.ResourceContext context)` Getter for returning a single `ShellDefinitionId` object given a shell markup name.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.ShellDefinition>` | `getShellDefinitions(int pageSize, com.bea.netuix.application.search.WebAppSearchCriteria criteria, com.bea.portal.tools.common.ResourceContext context)` Getter for returning a list of all `ShellDefinitions` scoped to the supplied webapp.

Method Detail

### getShellDefinitions

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.ShellDefinition> getShellDefinitions(int pageSize,
                                                                                                                                     com.bea.netuix.application.search.WebAppSearchCriteria criteria,
                                                                                                                                     com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                     throws com.bea.portal.tools.common.exceptions.ToolsException

  Getter for returning a list of all `ShellDefinitions` scoped to the supplied webapp.

  Parameters
    `pageSize` - specifies the number of results returned per page.
    `criteria` - the criteria (including web app name) for the search.
    `context` - the resource context.
  Returns
    A paginated result of matching ShellDefinition objects.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getShellDefinition

    com.bea.netuix.application.definition.ShellDefinition getShellDefinition(com.bea.netuix.application.identifier.ShellDefinitionId id,
                                                                             com.bea.portal.tools.common.ResourceContext context)
                                                                             throws com.bea.portal.tools.common.exceptions.ToolsException

  Getter for returning a single `ShellDefinition` object given a supplied shell definition identifier.

  Parameters
    `id` - the ID of the shell definition to retrieve
    `context` - the resource context.
  Returns
    the requested shell definition.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### deleteShellDefinition

    void deleteShellDefinition(com.bea.netuix.application.identifier.ShellDefinitionId id,
                               com.bea.portal.tools.common.ResourceContext context)
                               throws com.bea.netuix.application.exception.ObjectInUseException,
                                      com.bea.netuix.application.exception.NotEntitledException,
                                      com.bea.netuix.application.exception.ObjectNotFoundException,
                                      com.bea.portal.tools.common.exceptions.ToolsException

  Delete a `ShellDefinition`

  Parameters
    `id` - the ID of the shell definition to delete
    `context` - the resource context.
  Throws
    `com.bea.netuix.application.exception.ObjectInUseException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getShellDefinitionId

    com.bea.netuix.application.identifier.ShellDefinitionId getShellDefinitionId(String markupName,
                                                                                 String webAppName,
                                                                                 com.bea.portal.tools.common.ResourceContext context)
                                                                                 throws com.bea.portal.tools.common.exceptions.ToolsException

  Getter for returning a single `ShellDefinitionId` object given a shell markup name.

  Parameters
    `markupName` - the markup name attribute supplied on the tag,
    `webAppName` - the webapp name
    `context` - the resource context.
  Returns
    the unique shell definition identifier or null if none exists.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved